#include <stdio.h>

class CL {
    const static double x =5;
};

class CL2 {
public:
    int get_x() {return x;}
    virtual int set_x(int val) {x=val; return x;}
protected:
    int x;
};

class CL3 : public CL2 {
public:
    int y;
    virtual int set_x(int val) {x=val+1; return x;}
};

class CL4 : public CL2 {
public:
    virtual int set_x(int val) {x=val+1; return x;}
};

int main()
{
    const static int d = 6;
    CL Z;
    CL2 W;
    CL3 V;
    CL4 U;
    printf("%d\n", d);
}
